Bug 1169202 - VirtualBox Guests Fail to resize video
VirtualBox Guests Fail to resize video
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Other
Current
x86-64 All
: P5 - None : Normal (vote)
: ---
Assigned To: Larry Finger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-10 18:28 UTC by Larry Finger
Modified: 2021-02-28 18:58 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Finger 2020-04-10 18:28:36 UTC
A VirtualBox openSUSE guest using the VMSVGA graphics controller cannot resize the video. Using the VBoxSVGA or VBoxVGA graphics controllers work correctly. Unfortunately, VMSVGA is the default controller for openSUSE guests. There are 2 workarounds:

1. Select one of the alternative graphics controllers. The VM must be shutdown to do this change.

2. Install the VBoxGuestAdditions for the VBox version in the VM. This step should not be necessary as the required kernel modules are supplied in the release and installed when the VM is created or updated. Why the standard modules are not sufficient is being investigated.
Comment 1 Larry Finger 2020-04-15 17:50:59 UTC
Fixed in VBox 6.1.6.
Comment 2 Axel Braun 2021-01-13 18:50:58 UTC
yes, this is working in between, but the virtualbox-guest-X11 is not installed for openSUSE guests by default. So this needs a bit searching until resizing works....
Comment 3 Larry Finger 2021-02-28 18:58:58 UTC
I think this problem is now fixed.